<?php
/**
 * Customize for Shop loop product
 */
return [
    [
        'type' => 'section',
        'name' => 'zoo_single_product',
        'title' => esc_html__('Product Page', 'moleez'),
        'panel' => 'woocommerce',
        'theme_supports' => 'woocommerce'
    ],
    [
        'name' => 'zoo_single_product_general_settings',
        'type' => 'heading',
        'label' => esc_html__('General Settings', 'moleez'),
        'section' => 'zoo_single_product',
        'theme_supports' => 'woocommerce'
    ],
    [
        'name' => 'zoo_enable_product_share',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Product Share', 'moleez'),
        'checkbox_label' => esc_html__('Show product share if checked.', 'moleez'),
        'theme_supports' => 'woocommerce',
        'default' => 1
    ],
    [
        'name' => 'zoo_enable_sticky_add_to_cart',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Sticky Add to Cart', 'moleez'),
        'checkbox_label' => esc_html__('Block sticky add to cart will show if checked.', 'moleez'),
        'theme_supports' => 'woocommerce',
        'default' => 1,
    ],[
        'name' => 'zoo_enable_buy_now',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Buy Now', 'moleez'),
        'checkbox_label' => esc_html__('Buy now button allow use auto redirect to cart page after product added to cart.', 'moleez'),
        'theme_supports' => 'woocommerce',
        'default' => 1,
    ],[
        'name' => 'zoo_enable_single_product_nav',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Next & Previous product', 'moleez'),
        'theme_supports' => 'woocommerce',
        'default' => 1,
        'checkbox_label' => esc_html__('Show next and previous products navigation.', 'moleez'),

    ],
    [
        'name' => 'zoo_single_product_layout_settings',
        'type' => 'heading',
        'label' => esc_html__('Layout & Gallery Settings', 'moleez'),
        'section' => 'zoo_single_product',
        'theme_supports' => 'woocommerce'
    ],
    [
        'name' => 'zoo_single_product_layout',
        'type' => 'select',
        'section' => 'zoo_single_product',
        'title' => esc_html__('Layout', 'moleez'),
        'default' => 'vertical-thumb',
        'choices' => [
            'vertical-thumb' => esc_html__('Vertical Thumb', 'moleez'),
            'horizontal-thumb' => esc_html__('Horizontal Thumb', 'moleez'),
            'carousel' => esc_html__('Carousel', 'moleez'),
            'grid-thumb' => esc_html__('Grid Thumb', 'moleez'),
            'sticky-1' => esc_html__('Sticky 1', 'moleez'),
            'sticky-2' => esc_html__('Sticky 2', 'moleez'),
            'sticky-3' => esc_html__('Sticky 3', 'moleez'),
            'accordion' => esc_html__('Accordion', 'moleez'),
            'custom' => esc_html__('Custom', 'moleez'),
        ]
    ],[
        'name' => 'zoo_single_product_content_layout',
        'type' => 'select',
        'section' => 'zoo_single_product',
        'title' => esc_html__('Content Layout', 'moleez'),
        'default' => 'right_content',
        'required' => ['zoo_single_product_layout', '==', 'custom'],
        'choices' => [
            'right_content' => esc_html__('Right Content', 'moleez'),
            'left_content' => esc_html__('Left Content', 'moleez'),
            'full_content' => esc_html__('Full width Content', 'moleez'),
            'sticky_content' => esc_html__('Sticky Content', 'moleez'),
        ]
    ],[
        'name' => 'zoo_product_gallery_layout',
        'type' => 'select',
        'section' => 'zoo_single_product',
        'title' => esc_html__('Gallery Type', 'moleez'),
        'default' => 'vertical-left',
        'required' => ['zoo_single_product_layout', '==', 'custom'],
        'choices' => [
            'vertical-left' => esc_html__('Vertical Left Thumb', 'moleez'),
            'vertical-right' => esc_html__('Vertical Right Thumb', 'moleez'),
            'horizontal' => esc_html__('Horizontal', 'moleez'),
            'slider' => esc_html__('Slider', 'moleez'),
            'grid' => esc_html__('Grid', 'moleez'),
            'sticky' => esc_html__('Sticky', 'moleez'),
            'sticky-thumb' => esc_html__('Sticky with thumb', 'moleez'),
        ]
    ],
    [
        'name' => 'zoo_product_thumb_cols',
        'type' => 'number',
        'label' => esc_html__('Thumbnail columns', 'moleez'),
        'description' => esc_html__('Number thumbnail gallery display same time.', 'moleez'),
        'section' => 'zoo_single_product',
        'input_attrs' => array(
            'min' => 2,
            'max' => 6,
            'class'=>'zoo-range-slider'
        ),
        'default' => 4,
    ],
    [
        'name' => 'zoo_product_tabs_setting',
        'type' => 'select',
        'section' => 'zoo_single_product',
        'title' => esc_html__('Tabs Type', 'moleez'),
        'default' => 'tabs',
        'required' => ['zoo_single_product_layout', '==', 'custom'],
        'choices' => [
            'tabs' => esc_html__('Tabs', 'moleez'),
            'accordion' => esc_html__('Accordion', 'moleez'),
        ]
    ],
    [
        'name' => 'zoo_enable_product_zoom',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Product Gallery Zoom', 'moleez'),
        'theme_supports' => 'woocommerce',
        'checkbox_label' => esc_html__('Enable product zoom for product gallery.', 'moleez'),
        'default' => 1,
    ],[
        'name' => 'zoo_enable_product_lb',
        'type' => 'checkbox',
        'section' => 'zoo_single_product',
        'label' => esc_html__('Enable Product Gallery Light Box', 'moleez'),
        'theme_supports' => 'woocommerce',
        'checkbox_label' => esc_html__('Enable light box for product gallery.', 'moleez'),
        'default' => 1,
    ],
    [
        'name' => 'zoo_single_product_upsell_settings',
        'type' => 'heading',
        'label' => esc_html__('Upsell Product', 'moleez'),
        'section' => 'zoo_single_product',
        'theme_supports' => 'woocommerce'
    ],
    [
        'name' => 'zoo_upsell_products_layout',
        'type' => 'select',
        'section' => 'zoo_single_product',
        'title' => esc_html__('Layout', 'moleez'),
        'default' => 'grid',
        'choices' => [
            'grid' => esc_html__('Grid', 'moleez'),
            'carousel' => esc_html__('Carousel', 'moleez'),
        ]
    ],
    [
        'name' => 'zoo_upsell_products_cols',
        'type' => 'number',
        'label' => esc_html__('Columns', 'moleez'),
        'description' => esc_html__('Number products per row.', 'moleez'),
        'section' => 'zoo_single_product',
        'input_attrs' => array(
            'min' => 1,
            'max' => 10,
            'class'=>'zoo-range-slider'
        ),
        'default' => 4,
    ],
    [
        'name' => 'zoo_single_product_recent_settings',
        'type' => 'heading',
        'label' => esc_html__('Recently Viewed Product', 'moleez'),
        'section' => 'zoo_single_product',
        'theme_supports' => 'woocommerce'
    ],
    [
        'type' => 'checkbox',
        'name' => 'zoo_enable_recently_viewed_product',
        'label' => esc_html__('Enable Recently Viewed Products', 'moleez'),
        'section' => 'zoo_single_product',
        'default' => '1',
        'checkbox_label' => esc_html__('Recently Viewed Products will show if enabled.', 'moleez'),
    ],
    [
        'name' => 'zoo_recently_viewed_product_number',
        'type' => 'number',
        'label' => esc_html__('Maximum recently viewed product', 'moleez'),
        'description' => esc_html__('Total number recently viewed product.', 'moleez'),
        'section' => 'zoo_single_product',
        'required' => ['zoo_enable_recently_viewed_product', '==', '1'],
        'input_attrs' => array(
            'min' => 1,
            'max' => 20,
            'class'=>'zoo-range-slider'
        ),
        'default' => 8,
    ],

    [
        'name' => 'zoo_recently_viewed_product_layout',
        'type' => 'select',
        'section' => 'zoo_single_product',
        'title' => esc_html__('Layout', 'moleez'),
        'default' => 'grid',
        'required' => ['zoo_enable_recently_viewed_product', '==', '1'],
        'choices' => [
            'grid' => esc_html__('Grid', 'moleez'),
            'carousel' => esc_html__('Carousel', 'moleez'),
        ]
    ],
    [
        'name' => 'zoo_recently_viewed_product_cols',
        'type' => 'number',
        'label' => esc_html__('Columns', 'moleez'),
        'description' => esc_html__('Number products per row.', 'moleez'),
        'section' => 'zoo_single_product',
        'required' => ['zoo_enable_recently_viewed_product', '==', '1'],
        'input_attrs' => array(
            'min' => 1,
            'max' => 10,
            'class'=>'zoo-range-slider'
        ),
        'default' => 4,
    ],    [
        'name' => 'zoo_single_product_related_settings',
        'type' => 'heading',
        'label' => esc_html__('Related Product', 'moleez'),
        'section' => 'zoo_single_product',
        'theme_supports' => 'woocommerce'
    ],
    [
        'type' => 'checkbox',
        'name' => 'zoo_enable_related_products',
        'label' => esc_html__('Enable Related Products', 'moleez'),
        'section' => 'zoo_single_product',
        'default' => '1',
        'checkbox_label' => esc_html__('Related Products will show if enabled.', 'moleez'),
    ],
    [
        'name' => 'zoo_related_products_number',
        'type' => 'number',
        'label' => esc_html__('Maximum related product', 'moleez'),
        'description' => esc_html__('Total number related product.', 'moleez'),
        'section' => 'zoo_single_product',
        'required' => ['zoo_enable_related_products', '==', '1'],
        'input_attrs' => array(
            'min' => 1,
            'max' =>20,
            'class'=>'zoo-range-slider'
        ),
        'default' => 8,
    ],

    [
        'name' => 'zoo_related_products_layout',
        'type' => 'select',
        'section' => 'zoo_single_product',
        'title' => esc_html__('Layout', 'moleez'),
        'default' => 'grid',
        'required' => ['zoo_enable_related_products', '==', '1'],
        'choices' => [
            'grid' => esc_html__('Grid', 'moleez'),
            'carousel' => esc_html__('Carousel', 'moleez'),
        ]
    ],
    [
        'name' => 'zoo_related_products_cols',
        'type' => 'number',
        'label' => esc_html__('Columns', 'moleez'),
        'description' => esc_html__('Number products per row.', 'moleez'),
        'section' => 'zoo_single_product',
        'required' => ['zoo_enable_related_products', '==', '1'],
        'input_attrs' => array(
            'min' => 1,
            'max' => 10,
            'class'=>'zoo-range-slider'
        ),
        'default' => 4,
    ],
];