<?php
/**
 * Customize for Shop loop product
 */
return [
    [
        'type' => 'section',
        'name' => 'zoo_shop',
        'title' => esc_html__('Shop Page', 'moleez'),
        'panel' => 'woocommerce',
        'theme_supports' => 'woocommerce'
    ],
    [
        'name' => 'zoo_shop_general_settings',
        'type' => 'heading',
        'label' => esc_html__('General Settings', 'moleez'),
        'section' => 'zoo_shop',
        'theme_supports' => 'woocommerce'
    ],
    [
        'type' => 'number',
        'name' => 'zoo_products_number_items',
        'label' => esc_html__('Product Per Page', 'moleez'),
        'section' => 'zoo_shop',
        'description' => esc_html__('Number product display per page.', 'moleez'),
        'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'class'=>'zoo-range-slider'
        ),
        'default' => 9
    ],
    [
        'name' => 'zoo_product_hover_effect',
        'type' => 'select',
        'section' => 'zoo_shop',
        'title' => esc_html__('Hover Effect', 'moleez'),
        'description' => esc_html__('Hover Effect of product item when hover.', 'moleez'),
        'default' => 'default',
        'choices' => [
            'default' => esc_html__('Default', 'moleez'),
            'style-2' => esc_html__('Style 2', 'moleez'),
            'style-3' => esc_html__('Style 3', 'moleez'),
            'style-4' => esc_html__('Style 4', 'moleez'),
            'style-5' => esc_html__('Style 5', 'moleez'),
            'style-6' => esc_html__('Style 6', 'moleez'),
        ]
    ],
    [
        'name' => 'zoo_enable_catalog_mod',
        'type' => 'checkbox',
        'section' => 'zoo_shop',
        'label' => esc_html__('Enable Catalog Mod', 'moleez'),
        'checkbox_label' => esc_html__('Will be enabled if checked.', 'moleez'),
        'theme_supports' => 'woocommerce',
        'default' => 0
    ],[
        'name' => 'zoo_enable_free_shipping_notice',
        'type' => 'checkbox',
        'section' => 'zoo_shop',
        'label' => esc_html__('Enable Free Shipping Notice', 'moleez'),
        'checkbox_label' => esc_html__('Free shipping thresholds will show in cart if checked.', 'moleez'),
        'theme_supports' => 'woocommerce',
        'default' => 1,
    ],[
        'name' => 'zoo_enable_shop_cover',
        'type' => 'checkbox',
        'section' => 'zoo_shop',
        'label' => esc_html__('Enable Shop Cover', 'moleez'),
        'checkbox_label' => esc_html__('Display product archive title and description.', 'moleez'),
        'theme_supports' => 'woocommerce',
        'default' => 1,
    ],
    [
        'name' => 'zoo_shop_cover',
        'type' => 'styling',
        'section' => 'zoo_shop',
        'title' => esc_html__('Shop cover style', 'moleez'),
        'description' => esc_html__('Styling for product categories page', 'moleez'),
        'selector' => [
            'normal' => '.woocommerce .cover-without-slider',
        ],
        'required' => ['zoo_enable_shop_cover', '==', '1'],
        'css_format' => 'styling',
        'default' => [],
        'fields' => [
            'normal_fields' => [
                'margin' => false,
                'link_color' => false,
                'border_style' => false,
                'border_heading' => false,
                'border_radius' => false,
                'box_shadow' => false,
                'link_hover_color'   => false,
            ],
            'hover_fields' => false
        ]
    ],
    [
        'name' => 'zoo_shop_layout_settings',
        'type' => 'heading',
        'label' => esc_html__('Layout Settings', 'moleez'),
        'section' => 'zoo_shop',
        'theme_supports' => 'woocommerce'
    ],
    [
        'name' => 'zoo_shop_sidebar',
        'type' => 'select',
        'section' => 'zoo_shop',
        'title' => esc_html__('Shop Sidebar', 'moleez'),
        'default' => 'left',
        'choices' => [
            'top' => esc_html__('Top (Horizontal)', 'moleez'),
            'left' => esc_html__('Left', 'moleez'),
            'right' => esc_html__('Right', 'moleez'),
            'off-canvas' => esc_html__('Off canvas', 'moleez'),
        ]
    ],
    [
        'type' => 'checkbox',
        'name' => 'zoo_shop_full_width',
        'label' => esc_html__('Enable Shop Full Width', 'moleez'),
        'section' => 'zoo_shop',
        'default' => '0',
        'checkbox_label' => esc_html__('Shop layout will full width if enabled.', 'moleez'),
    ],[
        'type' => 'checkbox',
        'name' => 'zoo_enable_shop_loop_item_border',
        'label' => esc_html__('Enable Product border', 'moleez'),
        'section' => 'zoo_shop',
        'default' => '0',
        'checkbox_label' => esc_html__('Enable border for product item.', 'moleez'),
    ],[
        'type' => 'checkbox',
        'name' => 'zoo_enable_highlight_featured_product',
        'label' => esc_html__('Enable High light Featured Product', 'moleez'),
        'section' => 'zoo_shop',
        'default' => '0',
        'checkbox_label' => esc_html__('Featured product will display bigger more than another product.', 'moleez'),
    ],[
        'type' => 'number',
        'name' => 'zoo_shop_loop_item_gutter',
        'label' => esc_html__('Product Gutter', 'moleez'),
        'section' => 'zoo_shop',
        'description' => esc_html__('White space between product item.', 'moleez'),
        'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'class'=>'zoo-range-slider'
        ),
        'default' => 30
    ],
    [
        'name' => 'zoo_shop_cols_desktop',
        'type' => 'number',
        'label' => esc_html__('Shop loop columns', 'moleez'),
        'description' => esc_html__('Number product per row in shop page.', 'moleez'),
        'section' => 'zoo_shop',
        'input_attrs' => array(
            'min' => 2,
            'max' => 6,
            'class'=>'zoo-range-slider'
        ),
        'default' => 4
    ],[
        'name' => 'zoo_shop_cols_tablet',
        'type' => 'number',
        'label' => esc_html__('Shop loop columns on Tablet', 'moleez'),
        'section' => 'zoo_shop',
        'unit' => false,
        'input_attrs' => array(
            'min' => 1,
            'max' => 4,
            'class'=>'zoo-range-slider'
        ),
        'default' => 2,
    ],[
        'name' => 'zoo_shop_cols_mobile',
        'type' => 'number',
        'label' => esc_html__('Shop loop columns on Mobile', 'moleez'),
        'section' => 'zoo_shop',
        'input_attrs' => array(
            'min' => 1,
            'max' =>2,
            'class'=>'zoo-range-slider'
        ),
        'default' => 1,
    ],
    [
        'name' => 'zoo_shop_product_item_settings',
        'type' => 'heading',
        'label' => esc_html__('Product Item Settings', 'moleez'),
        'section' => 'zoo_shop',
        'theme_supports' => 'woocommerce'
    ],
    [
        'name' => 'zoo_enable_shop_loop_cart',
        'type' => 'checkbox',
        'section' => 'zoo_shop',
        'label' => esc_html__('Enable Shop Loop Cart', 'moleez'),
        'checkbox_label' => esc_html__('Button Add to cart will show if checked.', 'moleez'),
        'theme_supports' => 'woocommerce',
        'default' => 1,
        'required' => ['zoo_enable_catalog_mod', '!=', 1],
    ],
    [
        'name' => 'zoo_shop_cart_icon',
        'type' => 'icon',
        'section' => 'zoo_shop',
        'title' => esc_html__('Cart icon', 'moleez'),
        'default' => [
            'type' => 'zoo-icon',
            'icon' => 'zoo-icon-cart'
        ]
    ],
    [
        'type' => 'checkbox',
        'name' => 'zoo_enable_alternative_images',
        'label' => esc_html__('Enable Alternative Image', 'moleez'),
        'section' => 'zoo_shop',
        'default' => '1',
        'checkbox_label' => esc_html__('Alternative Image will show if checked.', 'moleez'),
    ],
    [
        'type' => 'select',
        'name' => 'zoo_sale_type',
        'label' => esc_html__('Sale label type display', 'moleez'),
        'section' => 'zoo_shop',
        'default' => 'text',
        'choices' => [
            'numeric' => esc_html__('Numeric', 'moleez'),
            'text' => esc_html__('Text', 'moleez'),
        ]
    ],
    [
        'type' => 'checkbox',
        'name' => 'zoo_enable_shop_new_label',
        'label' => esc_html__('Show New Label', 'moleez'),
        'section' => 'zoo_shop',
        'default' => '1',
        'checkbox_label' => esc_html__('Stock New will show if checked.', 'moleez'),
    ],[
        'type' => 'checkbox',
        'name' => 'zoo_enable_shop_stock_label',
        'label' => esc_html__('Show Stock Label', 'moleez'),
        'section' => 'zoo_shop',
        'default' => '1',
        'checkbox_label' => esc_html__('Stock label will show if checked.', 'moleez'),
    ],[
        'type' => 'checkbox',
        'name' => 'zoo_enable_quick_view',
        'label' => esc_html__('Enable Quick View', 'moleez'),
        'section' => 'zoo_shop',
        'default' => '1',
        'checkbox_label' => esc_html__('Button quick view will show if checked.', 'moleez'),
    ],[
        'type' => 'checkbox',
        'name' => 'zoo_enable_shop_loop_rating',
        'label' => esc_html__('Show rating', 'moleez'),
        'section' => 'zoo_shop',
        'default' => '1',
        'checkbox_label' => esc_html__('Show rating in product item if checked.', 'moleez'),
    ],
];
