<?php
/**
 * Typography for theme
 * @core: 3.0
 * @version : 1.0.0
 * @package : zootemplate
 */
return[
    [
        'name' => 'zoo_typography',
        'type' => 'section',
        'label' => esc_html__('Typography', 'moleez'),
        'panel' => 'zoo_style',
    ],[
        'name' => 'zoo_typo_base_heading',
        'type' => 'heading',
        'label' => esc_html__('Base', 'moleez'),
        'section' => 'zoo_typography',
    ],
    [
        'name'        => 'zoo_typo_base',
        'type'        => 'typography',
        'section'     => 'zoo_typography',
        'title'       => esc_html__('Base Typography', 'moleez'),
        'description' => esc_html__('Typography for site', 'moleez'),
        'selector'    => "body",
        'css_format'  => 'typography',
        'field_class'=>'no-hide',
        'fields' => array(
            'style' => false,
            'text_decoration' => false,
            'text_transform' => false,
        ),
    ],[
        'name' => 'zoo_typo_heading_heading',
        'type' => 'heading',
        'label' => esc_html__('Heading & Title', 'moleez'),
        'section' => 'zoo_typography',
    ],
    [
        'name'        => 'zoo_typo_heading',
        'type'        => 'typography',
        'section'     => 'zoo_typography',
        'title'       => esc_html__('Heading & Title Typography', 'moleez'),
        'description' => esc_html__('Typography for heading', 'moleez'),
        'selector'    => "h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6",
        'css_format'  => 'typography',
        'field_class'=>'no-hide',
        'fields' => array(
            'style' => false,
            'text_decoration' => false,
            'text_transform' => false,
            'font_size' => false,
        ),
    ],

    [
        'name' => 'zoo_typo_h1_size',
        'type' => 'slider',
        'section' => 'zoo_typography',
        'min' => 0,
        'step' => 1,
        'max' => 100,
        'selector' => 'format',
        'css_format' => "h1,.h1",
        'label' => esc_html__('H1 Font Size', 'moleez'),
    ],[
        'name' => 'zoo_typo_h2_size',
        'type' => 'slider',
        'section' => 'zoo_typography',
        'min' => 0,
        'step' => 1,
        'max' => 100,
        'selector' => 'format',
        'css_format' => "h2,.h2",
        'label' => esc_html__('H2 Font Size', 'moleez'),
    ],[
        'name' => 'zoo_typo_h3_size',
        'type' => 'slider',
        'section' => 'zoo_typography',
        'min' => 0,
        'step' => 1,
        'max' => 100,
        'selector' => 'format',
        'css_format' => "h3,.h3",
        'label' => esc_html__('H3 Font Size', 'moleez'),
    ],[
        'name' => 'zoo_typo_h4_size',
        'type' => 'slider',
        'section' => 'zoo_typography',
        'min' => 0,
        'step' => 1,
        'max' => 100,
        'selector' => 'format',
        'css_format' => "h4,.h4",
        'label' => esc_html__('H4 Font Size', 'moleez'),
    ],[
        'name' => 'zoo_typo_h5_size',
        'type' => 'slider',
        'section' => 'zoo_typography',
        'min' => 0,
        'step' => 1,
        'max' => 100,
        'selector' => 'format',
        'css_format' => "h5,.h5",
        'label' => esc_html__('H5 Font Size', 'moleez'),
    ],[
        'name' => 'zoo_typo_h6_size',
        'type' => 'slider',
        'section' => 'zoo_typography',
        'min' => 0,
        'step' => 1,
        'max' => 100,
        'selector' => 'format',
        'css_format' => "h6,.h6",
        'label' => esc_html__('H6 Font Size', 'moleez'),
    ],[
        'name' => 'zoo_typo_title_loop_blog_size',
        'type' => 'slider',
        'section' => 'zoo_typography',
        'min' => 0,
        'step' => 1,
        'max' => 100,
        'selector' => 'format',
        'css_format' => ".post-loop-item .entry-title",
        'label' => esc_html__('Post Loop Title Font Size', 'moleez'),
        'description' => esc_html__('Font size title of post in loop', 'moleez'),
    ],[
        'name' => 'zoo_typo_title_single_size',
        'type' => 'slider',
        'section' => 'zoo_typography',
        'min' => 0,
        'step' => 1,
        'max' => 100,
        'selector' => 'format',
        'css_format' => ".title-detail",
        'label' => esc_html__('Post Title Font Size', 'moleez'),
        'description' => esc_html__('Font size title of single post', 'moleez'),
    ],[
        'name' => 'zoo_typo_widget_title_size',
        'type' => 'slider',
        'section' => 'zoo_typography',
        'min' => 0,
        'step' => 1,
        'max' => 100,
        'selector' => 'format',
        'css_format' => ".widget .widget-title",
        'label' => esc_html__('Widget Title Font Size', 'moleez'),
        'description' => esc_html__('Font size title of widget', 'moleez'),
    ],
    [
        'name' => 'zoo_typo_woo_heading',
        'type' => 'heading',
        'label' => esc_html__('WooCommerce Typography', 'moleez'),
        'section' => 'zoo_typography',
    ],
    [
        'name'        => 'zoo_typo_woo',
        'type'        => 'typography',
        'section'     => 'zoo_typography',
        'title'       => esc_html__('WooCommerce Title Typography', 'moleez'),
        'description' => esc_html__('Typography for title product', 'moleez'),
        'selector'    => ".product-loop-title,  .product_title",
        'css_format'  => 'typography',
        'field_class'=>'no-hide',
        'fields' => array(
            'style' => false,
            'text_decoration' => false,
            'text_transform' => false,
            'font_size' => false,
        ),
    ],
    [
        'name' => 'zoo_typo_product_loop_size',
        'type' => 'slider',
        'section' => 'zoo_typography',
        'min' => 0,
        'step' => 1,
        'max' => 100,
        'selector' => 'format',
        'css_format' => " li.product .product-loop-title",
        'theme_supports' => 'woocommerce',
        'label' => esc_html__('Product Font Size', 'moleez'),
        'description' => esc_html__('Font size title of product in loop', 'moleez'),
    ],[
        'name' => 'zoo_typo_product_single_size',
        'type' => 'slider',
        'section' => 'zoo_typography',
        'min' => 0,
        'step' => 1,
        'max' => 100,
        'selector' => 'format',
        'css_format' => ".woocommerce div.product .product_title",
        'theme_supports' => 'woocommerce',
        'label' => esc_html__('Single Product Font Size', 'moleez'),
        'description' => esc_html__('Font size title of Single Product', 'moleez'),
    ],
];
