<?php
/**
 * Meta box for theme
 *
 * @package     Zoo Theme
 * @version     1.0.0
 * @core        3.0.0
 * @author      Zootemplate
 * @link        https://www.zootemplate.com/
 * @copyright   Copyright (c) 2018 ZooTemplate
 
 */

if(class_exists('RWMB_Loader')):
add_filter('rwmb_meta_boxes', 'zoo_meta_box_options');
if(!function_exists('zoo_meta_box_options')) {
    function zoo_meta_box_options()
    {
        $zoo_prefix = "zoo_";
        $zoo_meta_boxes = array();
        $zoo_meta_boxes[] = array(
            'id' => $zoo_prefix.'single_post_heading',
            'title' => esc_html__('Sidebar Config', 'moleez'),
            'pages' => array('post'),
            'context' => 'side',
            'fields' => array(
                array(
                    'id' => $zoo_prefix."blog_single_sidebar_config",
                    'type' => 'select',
                    'options' => array(
                        'inherit' => esc_html__('Inherit', 'moleez'),
                        'left' =>  esc_html__('Left', 'moleez'),
                        'right' =>  esc_html__('Right', 'moleez'),
                        'none' => esc_html__('None', 'moleez'),
                    ),
                    'std' => 'inherit',
                    'desc' => esc_html__('Select sidebar layout you want set for this post.', 'moleez')
                ),
            ));
        //All page
        $zoo_meta_boxes[] = array(
            'id' => $zoo_prefix.'layout_single_heading',
            'title' => esc_html__('Layout Single Product', 'moleez'),
            'pages' => array('product'),
            'context' => 'advanced',
            'fields' => array(
                array(
                    'name' => esc_html__('Layout Options', 'moleez'),
                    'id' => $zoo_prefix."single_product_layout",
                    'type' => 'select',
                    'options' => array(
                        'inherit' => esc_html__('Inherit', 'moleez'),
                        'vertical-thumb' => esc_html__('Vertical Thumb', 'moleez'),
                        'horizontal-thumb' => esc_html__('Horizontal Thumb', 'moleez'),
                        'carousel' => esc_html__('Carousel', 'moleez'),
                        'grid-thumb' => esc_html__('Grid Thumb', 'moleez'),
                        'sticky-1' => esc_html__('Sticky 1', 'moleez'),
                        'sticky-2' => esc_html__('Sticky 2', 'moleez'),
                        'sticky-3' => esc_html__('Sticky 3', 'moleez'),
                        'accordion' => esc_html__('Accordion', 'moleez'),
                        'custom' => esc_html__('Custom', 'moleez'),
                    ),
                    'std' => 'inherit',
                ),
                array(
                    'name' => esc_html__('Content Options', 'moleez'),
                    'id' => $zoo_prefix."single_product_content_layout",
                    'type' => 'select',
                    'options' => array(
                        'inherit' => esc_html__('Inherit', 'moleez'),
                        'right_content' => esc_html__('Right Content', 'moleez'),
                        'left_content' => esc_html__('Left Content', 'moleez'),
                        'full_content' => esc_html__('Full width Content', 'moleez'),
                        'sticky_content' => esc_html__('Sticky Content', 'moleez'),
                    ),
                    'std' => 'inherit',
                ),
                array(
                    'name' => esc_html__('Gallery Options', 'moleez'),
                    'id' => $zoo_prefix."product_gallery_layout",
                    'type' => 'select',
                    'options' => array(
                        'inherit' => esc_html__('Inherit', 'moleez'),
                        'vertical-left' => esc_html__('Vertical Left Thumb', 'moleez'),
                        'vertical-right' => esc_html__('Vertical Right Thumb', 'moleez'),
                        'horizontal' => esc_html__('Horizontal', 'moleez'),
                        'slider' => esc_html__('Slider', 'moleez'),
                        'grid' => esc_html__('Grid', 'moleez'),
                        'sticky' => esc_html__('Sticky', 'moleez'),
                        'sticky-thumb' => esc_html__('Sticky with thumb', 'moleez'),
                    ),
                    'std' => 'inherit',
                ),
            ));
        $zoo_meta_boxes[] = array(
            'id' => $zoo_prefix.'single_product_image_360_heading',
            'title' => esc_html__('Product image 360 view', 'moleez'),
            'pages' => array('product'),
            'context' => 'advanced',
            'fields' => array(
                array(
                    'id' => $zoo_prefix."single_product_image_360",
                    'name' => esc_html__('Images', 'moleez'),
                    'type' => 'image_advanced',
                    'desc' => esc_html__('Images for 360 degree view.', 'moleez')
                ),
            ));
        $zoo_meta_boxes[] = array(
            'id' => $zoo_prefix.'single_product_video_heading',
            'title' => esc_html__('Product Video', 'moleez'),
            'pages' => array('product'),
            'context' => 'side',
            'fields' => array(
                array(
                    'id' => $zoo_prefix."single_product_video",
                    'type' => 'oembed',
                    'desc' => esc_html__('Enter your embed video url.', 'moleez')
                ),
            ));
        $zoo_meta_boxes[] = array(
            'id' => $zoo_prefix.'single_product_new_heading',
            'title' => esc_html__('Assign product is New', 'moleez'),
            'pages' => array('product'),
            'context' => 'side',
            'fields' => array(
                array(
                    'id' => $zoo_prefix."single_product_new",
                    'std' => '0',
                    'type' => 'checkbox',
                    'desc' => esc_html__('Is New Product.', 'moleez')
                ),
            ));
        $zoo_meta_boxes[] = array(
            'id' => 'title_meta_box',
            'title' => esc_html__('Layout Options', 'moleez'),
            'pages' => array('page', 'post'),
            'context' => 'advanced',
            'fields' => array(
                array(
                    'name' => esc_html__('Title & Breadcrumbs Options', 'moleez'),
                    'desc' => esc_html__('', 'moleez'),
                    'id' => $zoo_prefix . "heading_title",
                    'type' => 'heading'
                ),
                array(
                    'name' => esc_html__('Disable Title', 'moleez'),
                    'desc' => esc_html__('', 'moleez'),
                    'id' => $zoo_prefix . "disable_title",
                    'std' => '0',
                    'type' => 'checkbox'
                ),
                array(
                    'name' => esc_html__('Disable Breadcrumbs', 'moleez'),
                    'desc' => esc_html__('', 'moleez'),
                    'id' => $zoo_prefix . "disable_breadcrumbs",
                    'std' => '0',
                    'type' => 'checkbox'
                ),
                array(
                    'name' => esc_html__('Page Layout', 'moleez'),
                    'desc' => esc_html__('', 'moleez'),
                    'id' => $zoo_prefix . "body_heading",
                    'type' => 'heading'
                ),
                array(
                    'name' => esc_html__('Layout Options', 'moleez'),
                    'id' => $zoo_prefix."site_layout",
                    'type' => 'select',
                    'options' => array(
                        'inherit' => esc_html__('Inherit', 'moleez'),
                        'normal' =>  esc_html__('Normal', 'moleez'),
                        'boxed' =>  esc_html__('Boxed', 'moleez'),
                        'full-width' => esc_html__('Full Width', 'moleez'),
                    ),
                    'std' => 'inherit',
                ),
                array(
                    'name' => esc_html__('Page Max Width', 'moleez'),
                    'desc' => esc_html__('Accept only number. If not set, it will follow customize config.', 'moleez'),
                    'id' => $zoo_prefix . "site_max_width",
                    'type' => 'number'
                ),
            )
        );
        $zoo_meta_boxes[] = array(
            'id' => 'post_meta_box',
            'title' => esc_html__('Post Meta', 'moleez'),
            'pages' => array('testimonial'),
            'context' => 'normal',
            'fields' => array(
                array(
                    'name' => esc_html__('Author avatar', 'moleez'),
                    'desc' => esc_html__('Author avatar display in frontend', 'moleez'),
                    'id' => $zoo_prefix . "author_img",
                    'type' => 'image_advanced',
                    'max_file_uploads' => 1
                ),
                array(
                    'name' => esc_html__('Author name', 'moleez'),
                    'desc' => esc_html__('Author name display in frontend', 'moleez'),
                    'id' => $zoo_prefix . "author",
                    'type' => 'text',
                ),
                array(
                    'name' => esc_html__('Author description', 'moleez'),
                    'desc' => esc_html__('Author description display in frontend', 'moleez'),
                    'id' => $zoo_prefix . "author_des",
                    'type' => 'text',
                ),array(
                    'name' => esc_html__('Rating', 'moleez'),
                    'id' => $zoo_prefix."rating",
                    'type' => 'select',
                    'options' => array(
                        '5' => esc_html__('5 Stars', 'moleez'),
                        '4' => esc_html__('4 Stars', 'moleez'),
                        '3' => esc_html__('3 Stars', 'moleez'),
                        '2' => esc_html__('2 Stars', 'moleez'),
                        '1' => esc_html__('1 Star', 'moleez'),
                    ),
                    'std' => '5',
                ),
            ));
        return $zoo_meta_boxes;
    }
}
endif;