<?php

/**
 * Add shortcode
 *
 * @internal    Used as a callback. PLEASE DO NOT RECALL THIS METHOD DIRECTLY!
 *
 * @param    array    $atts    Users' defined attributes in shortcode.
 *
 * @return    string    $html    Rendered shortcode content.
 */
function cvca_add_clever_img_360_view_shortcode( $atts, $content = null )
{
    $atts = shortcode_atts(
        apply_filters('CleverImg360View_shortcode_atts',array(
            'imgs' => '',
            'width' => '',
            'height' => '',
            'des' => '',
            'css' => '',
            'el_class'  => ''
        )),
        $atts, 'CleverImg360View'
    );

    $html = cvca_get_shortcode_view( 'image-360-view', $atts, $content );

    return $html;
}
add_shortcode( 'CleverImg360View', 'cvca_add_clever_img_360_view_shortcode' );


/**
 * Integrate to Visual Composer
 *
 * @internal    Used as a callback. PLEASE DO NOT RECALL THIS METHOD DIRECTLY!
 */
function cvca_integrate_clever_img_360_view_shortcode_with_vc()
{
    vc_map(
        array(
            'name' => esc_html__('Clever Image 360 Degree View', 'cvca'),
            'base' => 'CleverImg360View',
            'icon' => 'data-is-container',

            'category' => esc_html__('CleverSoft Elements', 'cvca'),
            'description' => esc_html__('Display Image with 360 degree view', 'cvca'),
            'params' => array(
                
                array(
                    "type" => "attach_images",
                    "heading" => esc_html__("Images", 'cvca'),
                    'value' => '',
                    'param_name' => 'imgs',
                    'description' => esc_html__('Images must order follow view', 'cvca'),
                    'std' => '',
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Width', 'cvca'),
                    'param_name' => 'width',
                    'std' => '',

                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Height', 'cvca'),
                    'param_name' => 'height',
                    'std' => '',
                    
                ),array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Description', 'cvca'),
                    'param_name' => 'des',
                    'std' => '',

                ),
                array(
                    'type' => 'css_editor',
                    'heading' => __( 'Css', 'cvca' ),
                    'param_name' => 'css',
                    'group' => __( 'Design options', 'cvca' ),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Extra class name', 'cvca'),
                    'param_name' => 'el_class',
                    'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'cvca')
                )
                )
            )
        );
}
add_action( 'vc_before_init', 'cvca_integrate_clever_img_360_view_shortcode_with_vc', 10, 0 );