<?php
/**
 * Clever Products Carousel Tabs Shortcode
 */
if (!function_exists('cvca_shortcode_products_carousel_tabs')) {
    function cvca_shortcode_products_carousel_tabs($atts, $content)
    {

        if (class_exists('WooCommerce')) {
            $atts = shortcode_atts(apply_filters('CleverProductCarouselTabs_shortcode_atts',array(
                'title' => '',
                'accent_color' => '',
                'border_after_width' => '90',
                'product_ids' => '',
                'posts_per_page' => 4,
                'filter' => 'asset',
                'asset_type'=> '',
                'col_width_pc' => 4,
                'col_width_tablet' => 3,
                'col_width_mobile' => 2,
                'show_pag' => 1,
                'show_nav' => 1,
                'scroll' => 1,
                'autoplay'=> true,
                'speed' => 5000,
                'nav_position' => 'middle-nav',
                'orderby' => 'date',
                'order' => 'desc',
                'element_custom_class' => '',
                'css' => '',
            )), $atts, 'CleverProductCarouselTabs');
            $html = cvca_get_shortcode_view( 'product-carousel-tabs', $atts, $content );

            return $html;
        }
        return null;

    }
}
add_shortcode('CleverProductCarouselTabs', 'cvca_shortcode_products_carousel_tabs');

add_action('vc_before_init', 'cvca_products_carousel_tabs_integrate_vc');

if (!function_exists('cvca_products_carousel_tabs_integrate_vc')) {
    function cvca_products_carousel_tabs_integrate_vc()
    {
        if (class_exists('WooCommerce')) {
            $asset_type =  array(
                array('label' => esc_html__('New Arrivals','cvca'),'value' => 'latest' ),
                array('label' => esc_html__('Featured','cvca'),'value' => 'featured' ),
                array('label' => esc_html__('Onsale','cvca'),'value' => 'onsale' ),
                array('label' => esc_html__('Deal','cvca'),'value' => 'deal' ),
                array('label' => esc_html__('Best Seller','cvca'),'value' => 'best-selling' ),
                array('label' => esc_html__('Top Rate','cvca'),'value' => 'toprate' ),
            );
            global $cvca_list_product;
            vc_map(
                array(
                    'name' => esc_html__('Clever Products Carousel Tabs', 'cvca'),
                    'base' => 'CleverProductCarouselTabs',
                    'icon' => 'icon-wpb-woocommerce',
                    'category' => esc_html__('CleverSoft Elements', 'cvca'),
                    'description' => esc_html__('Show multiple products by ID or SKU.', 'cvca'),
                    'params' => array(
                        array(
                            'type' => 'textfield',
                            'heading' => esc_html__('Title', 'cvca'),
                            "admin_label" => true,
                            'param_name' => 'title',
                            'description' => esc_html__('', 'cvca'),
                        ),
                        array(
                            'type' => 'colorpicker',
                            'heading' => esc_html__('Border Color', 'cvca'),
                            "admin_label" => true,
                            'param_name' => 'accent_color',
                            'description' => esc_html__('', 'cvca'),
                        ),
                        array(
                            'type' => 'textfield',
                            'heading' => esc_html__('Border After Width', 'cvca'),
                            "admin_label" => true,
                            'std' => '90',
                            'param_name' => 'border_after_width',
                            'description' => esc_html__('Add number for border after width.', 'cvca'),
                        ),
                        array(
                            'type' => 'cvca_multiselect2',
                            'heading' => esc_html__('Asset type for tabs', 'cvca'),
                            'value' => $asset_type,
                            'std' => '',
                            'param_name' => 'asset_type',
                            'description' => esc_html__('Select asset type of products for show filter', 'cvca'),
                        ),
                        array(
                            'type' => 'autocomplete',
                            'heading' => esc_html__('Exclude Product IDs', 'cvca'),
                            'std' => '',
                            'param_name' => 'product_ids',
                            'description' => esc_html__('A comma-separated list of product you want to exclude.', 'cvca'),
                            'settings' => array(
                                'multiple' => true,
                                'sortable' => true,
                                'min_length' => 0,
                                'no_hide' => true,
                                'groups' => true, 
                                'unique_values' => true, 
                                'display_inline' => true, 
                                'values' => $cvca_list_product,
                            ),
                        ),
                        array(
                            'type' => 'dropdown',
                            'heading' => esc_html__('Order by', 'cvca'),
                            'value' => array(
                                esc_html__('Date', 'cvca') => 'date',
                                esc_html__('Menu order', 'cvca') => 'menu_order',
                                esc_html__('Title', 'cvca') => 'title',
                                esc_html__('Random', 'cvca') => 'rand',
                            ),
                            'std' => 'date',
                            'param_name' => 'orderby',
                        ),
                        array(
                            'type' => 'dropdown',
                            'heading' => esc_html__('Order', 'cvca'),
                            'value' => array(
                                esc_html__('DESC', 'cvca') => 'desc',
                                esc_html__('ASC', 'cvca') => 'asc',
                            ),
                            'std' => 'desc',
                            'param_name' => 'order',
                        ),
                        array(
                            'type' => 'textfield',
                            'heading' => esc_html__('Products per Page', 'cvca'),
                            'value' => 6,
                            "admin_label" => true,
                            'param_name' => 'posts_per_page',
                            'description' => esc_html__('Products per Page showing', 'cvca'),
                        ),
                        array(
                            'type' => 'dropdown',
                            'heading' => esc_html__('Carousel: Items PC', 'cvca'),
                            'dependency' => Array('element' => 'custom_carousel', 'value' => array('1')),
                            'param_name' => 'col_width_pc',
                            'std' => 4,
                            "value" => array(
                                esc_html__('1 columns', 'cvca') => 1,
                                esc_html__('2 columns', 'cvca') => 2,
                                esc_html__('3 columns', 'cvca') => 3,
                                esc_html__('4 columns', 'cvca') => 4,
                                esc_html__('5 columns', 'cvca') => 5,
                                esc_html__('6 columns', 'cvca') => 6,
                            ),
                        ),
                        array(
                            'type' => 'dropdown',
                            'heading' => esc_html__('Carousel: Items Tablet', 'cvca'),
                            'dependency' => Array('element' => 'custom_carousel', 'value' => array('1')),
                            'param_name' => 'col_width_tablet',
                            'std' => 3,
                            "value" => array(
                                esc_html__('1 columns', 'cvca') => 1,
                                esc_html__('2 columns', 'cvca') => 2,
                                esc_html__('3 columns', 'cvca') => 3,
                                esc_html__('4 columns', 'cvca') => 4,
                                esc_html__('5 columns', 'cvca') => 5,
                            ),
                        ),
                        array(
                            'type' => 'dropdown',
                            'heading' => esc_html__('Carousel: Items Mobile', 'cvca'),
                            'dependency' => Array('element' => 'custom_carousel', 'value' => array('1')),
                            'param_name' => 'col_width_mobile',
                            'std' => 2,
                            "value" => array(
                                esc_html__('1 column', 'cvca') => 1,
                                esc_html__('2 columns', 'cvca') => 2,
                                esc_html__('3 columns', 'cvca') => 3,
                            ),
                        ),
                        
                        array(
                            'type' => 'checkbox',
                            'heading' => esc_html__('Show carousel pagination', 'cvca'),
                            'param_name' => 'show_pag',
                            'std' => 1,
                            'value' => array(esc_html__('Yes', 'cvca') => 1),
                        ),
                        array(
                            'type' => 'checkbox',
                            'heading' => esc_html__('Show carousel navigation', 'cvca'),
                            'param_name' => 'show_nav',
                            'std' => '1',
                            'value' => array(esc_html__('Yes', 'cvca') => 1),
                        ),
                        array(
                            'type' => 'checkbox',
                            'heading' => esc_html__('Auto Play', 'cvca'),
                            'param_name' => 'autoplay',
                            'std' => '1',
                            'value' => array(esc_html__('Yes', 'cvca') => 1),
                        ),
                        array(
                            'type' => 'textfield',
                            'heading' => esc_html__('Speed to Scroll', 'cvca'),
                            'std' => 5000,
                            "admin_label" => true,
                            'param_name' => 'speed',
                            'description' => esc_html__('', 'cvca'),
                        ),
                        array(
                            'type' => 'textfield',
                            'heading' => esc_html__('Slide to Scroll', 'cvca'),
                            'std' => '1',
                            "admin_label" => true,
                            'param_name' => 'scroll',
                            'description' => esc_html__('', 'cvca'),
                        ),
                        array(
                            'type' => 'dropdown',
                            'heading' => esc_html__('Navigation position', 'cvca'),
                            'param_name' => 'nav_position',
                            'std' => 'middle-nav',
                            'value' => array(
                                //esc_html__('Top', 'cvca') => 'top-nav',
                                esc_html__('Middle', 'cvca') => 'middle-nav',
                            ),
                        ),
                        
                        array(
                            'type' => 'textfield',
                            'heading' => esc_html__('Custom Class', 'cvca'),
                            'value' => '',
                            'param_name' => 'element_custom_class',
                            'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'cvca'),
                        ),
                        array(
                            'type'       => 'css_editor',
                            'counterup'  => __( 'Css', 'cvca' ),
                            'param_name' => 'css',
                            'group'      => __( 'Design options', 'cvca' ),
                        ),
                    )
                )
            );
        }
    }
}