<?php
/**
 * Product Grid Tabs Shortcode
 */
wp_enqueue_style('cvca-style');
wp_enqueue_script('cvca-ajax-product');
wp_enqueue_script('cvca-script');

$product_categories = get_categories(
    array(
        'taxonomy' => 'product_cat',
    )
);
$product_cats = array();
$product_cats_all = '';
if (count($product_categories) > 0) {
    foreach ($product_categories as $value) {
        $product_cats[$value->name] = $value->slug;
    }
    $product_cats_all = implode(',', $product_cats);
}
if($atts['filter_categories'] == null || $atts['filter_categories'] == "Array"){
    $atts['filter_categories'] = $product_cats_all;
}
$filter_categories_arr = explode(',',$atts['filter_categories']);

$varid = mt_rand();
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($atts['css'], ' '), 'CleverProductwithLisCategory_shortcode_atts', $atts);
$css_class .= $atts['element_custom_class'];

?>
<div class="woocommerce product-carousel-shortcode cvca-products-wrap cvca-products-wrap_<?php echo esc_attr($varid); ?> <?php echo esc_attr($css_class) ?>"
    data-args='<?php
    //shortcode agurgument
    if (!isset($_POST['show'])) {
        $init_atts = $atts;
        unset($init_atts['wc_attr']);
        echo json_encode($init_atts);
    } else {
        echo json_encode($_POST);
    }
    ?>'
    data-empty="<?php echo esc_attr__('No product found', 'cvca'); ?>"
    data-url="<?php echo esc_url(admin_url('admin-ajax.php')); ?>">
    <div class="cvca-wrapper-products-shortcode row ">
        <?php
        $cvca_wrap_class = "cvca-wrap-products-sc cvca-grid list-style col-12 col-sm-12 col-md-12 col-lg-12";
        $class = 'grid-layout';
        $grid_class = '  grid-xl-' . $atts['col_xl'] . '-cols  grid-lg-' . $atts['col_lg'] . '-cols grid-md-' . $atts['col_md'] . '-cols grid-sm-' . $atts['col_sm'] . '-cols grid-' . $atts['col'] .'-cols';
        $cvca_wrap_class .= $grid_class;
        
        
        ?>
        <div class="<?php echo esc_attr($cvca_wrap_class) ?> ">
            <?php if (isset($atts['title']) && $atts['title'] != '') { ?>
            <div class="wrap-head-product-filter">
                <div class="wrap-head-product-filter-inner">
                
                    <h3 class="title"><?php echo esc_html($atts['title']) ?></h3>
                
                </div>
                 <?php if($atts['accent_color']): ?>
                    <div class="border-accent-color" style="position: relative;width: 100%;display: block;height: 1px;clear: both;background: #ebebeb;" >
                        <span class="after-color" style="position: absolute;top:-1px;left: 0;width: <?php echo esc_attr($atts['border_after_width']); ?>px;height: 2px;background: <?php echo esc_attr($atts['accent_color']); ?>">
                        </span>
                    </div>
                <?php endif; ?>
            </div>
            <div style="display: block;height: 30px;width: 100%; clear: both;"></div>
            <?php } ?>
            <ul class="products <?php echo esc_attr($class) ?>">
                <?php 
                foreach ($filter_categories_arr as $key => $cat) {
                    $cat_opp = get_term_by('slug', $cat, 'product_cat');
                    $children = get_term_children($cat_opp->term_id,'product_cat');
                    echo '<li class="product category-items style-default"><div class="wrap-product-loop-content"><div class="wrap-product-img">';
                    $thumbnail_id = get_woocommerce_term_meta( $cat_opp->term_id, 'thumbnail_id', true );
                    if($thumbnail_id){
                        echo '<img src="' . wp_get_attachment_url( $thumbnail_id ) . '" alt="' . $cat_opp->name . '" />';
                    }
                    
                    echo '</div><div class="category-content wrap-product-loop-detail"><h3 class="product-loop-title">';
                    echo esc_attr(get_the_category_by_ID($cat_opp->term_id));
                    echo '</h3>';
                    foreach ($children as $key => $child) {
                        echo '<p class="category-item">';
                        echo esc_attr(get_the_category_by_ID($child));
                        echo '</p>';
                    }
                    echo '</div></div></li>';
                    
                }
                ?>
            </ul>
        </div>
        
    </div> 
    <?php wp_reset_postdata(); ?>
</div>